package com.mdtexfx;

import com.mdtexfx.html.HtmlPreview;
import com.mdtexfx.processors.ProcessorContext;
import com.mdtexfx.processors.ProcessorFactory;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.TextArea;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

import static com.mdtexfx.io.MediaType.TEXT_MARKDOWN;

public class App extends Application {
  @Override
  public void start( final Stage stage ) {
    final var editor = new TextArea();
    final var preview = new HtmlPreview();
    final var context = new ProcessorContext( TEXT_MARKDOWN, preview );
    final var processor = ProcessorFactory.create( context );

    final var border = new BorderPane();
    border.setLeft( editor );
    border.setRight( preview );

    editor.textProperty().addListener( ( c, o, n ) -> processor.apply( n ) );

    final var scene = new Scene( border );
    stage.setScene( scene );
    stage.show();
  }
}
