package com.mdtexfx.processors;

import com.mdtexfx.html.HtmlRenderer;

/**
 * Responsible for rendering an HTML document, without modification.
 */
public class HtmlProcessor extends ExecutorProcessor<String> {
  private final HtmlRenderer mHtmlRenderer;

  private HtmlProcessor( final ProcessorContext context ) {
    mHtmlRenderer = context.getHtmlRenderer();
  }

  public static Processor<String> create( final ProcessorContext context ) {
    return new HtmlProcessor( context );
  }

  @Override
  public String apply( final String html ) {
    return mHtmlRenderer.render( html );
  }
}
